Lintian Reports

E embedded-library

All reports of embedded-library for the archive. The extended description of this tag is:

The given ELF object appears to have been statically linked to a library. Doing this is strongly discouraged due to the extra work needed by the security team to fix all the extra embedded copies or trigger the package rebuilds, as appropriate.

If the package uses a modified version of the given library it is highly recommended to coordinate with the library's maintainer to include the changes on the system version of the library.

Refer to Debian Policy Manual section 4.13 (Convenience copies of code) for details.

Severity: serious, Certainty: possible

Check: binaries, Type: binary, udeb

Evolution of the embedded-library Lintian tag over the past 366 days:

The beforementioned graph for the embedded-library tag

Emitted (non-overridden): 32, overridden: 444, total: 476

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

aide 0.16-1 (binary) overridden

aide-xen 0.16-1 (binary) overridden

amarok 2.8.0-5 (binary) overridden

ap-utils 1.5-2+b1 (binary)

avfs 1.0.3-1 (binary) overridden

bash-static 4.4-1 (binary) overridden

biosig-tools 1.3.0-2.1+b3 (binary) overridden

biosig-tools 1.4.1-1.1+b1 (binary) overridden

boinc-app-examples 7.6.33+dfsg-1exp2 (binary) overridden

cdebootstrap-static 0.7.5 (binary) overridden

chromium 53.0.2785.143-1 (binary) overridden

cobra 0.0~git20160607.0.1238ba1-1 (binary) overridden

codeblocks 16.01+dfsg-2 (binary) overridden

conquest-dbase 1.4.17d-1 (binary) overridden

conquest-mysql 1.4.17d-1 (binary) overridden

conquest-postgres 1.4.17d-1 (binary) overridden

conquest-sqlite 1.4.17d-1 (binary) overridden

dar-static 2.5.6-1 (binary) overridden

debian-installer-8-netboot-amd64 20150422+deb8u4.b1 (binary) overridden

debian-installer-8-netboot-i386 20150422+deb8u4.b1 (binary) overridden

digikam-private-libs 4:5.2.0-1 (binary) overridden

docker-registry 2.4.1~ds1-2 (binary) overridden

eiskaltdcpp-daemon 2.2.9-4+b1 (binary) overridden

emboss-lib 6.6.0+dfsg-5 (binary) overridden

extlinux 3:6.03+dfsg-14 (binary) overridden

fdisk-udeb 2.28.2-1 (udeb) overridden

firefox 49.0-4 (binary) overridden

firefox 50.0~b1-1 (binary) overridden

firefox-esr 45.4.0esr-2 (binary) overridden

grace 1:5.1.25-2+b1 (binary) overridden

hhvm 3.12.1+dfsg-1+b3 (binary) overridden

icedove 1:45.4.0-1 (binary) overridden

imagevis3d 3.1.0-4+b1 (binary) overridden

ipv6calc 0.99.1-1 (binary)

kfreebsd-image-11.0-0-486 11.0~svn265310-1 (binary) overridden

kfreebsd-image-11.0-0-686 11.0~svn265310-1 (binary) overridden

kfreebsd-image-11.0-0-amd64 11.0~svn265310-1 (binary) overridden

kfreebsd-image-11.0-0-xen 11.0~svn265310-1 (binary) overridden

ksirk 4:16.04.0-1 (binary)

kubernetes-client 1.2.5+dfsg-1 (binary) overridden

kubernetes-master 1.2.5+dfsg-1 (binary) overridden

kubernetes-node 1.2.5+dfsg-1 (binary) overridden

libapache2-mod-php5 5.6.26+dfsg-1 (binary) overridden

libapache2-mod-php5filter 5.6.26+dfsg-1 (binary) overridden

libbiosig1 1.3.0-2.1+b3 (binary) overridden

libbiosig1 1.4.1-1.1+b1 (binary) overridden

libc6 2.24-5 (binary) overridden

libc6-amd64 2.24-5 (binary) overridden

libc6-arm64-cross 2.24-1cross1 (binary) overridden

libc6-armel-cross 2.24-1cross1 (binary) overridden

libc6-armhf-cross 2.24-1cross1 (binary) overridden

libc6-hppa-cross 2.24-1cross1 (binary) overridden

libc6-i386 2.24-5 (binary) overridden

libc6-m68k-cross 2.24-1cross1 (binary) overridden

libc6-mips-cross 2.24-1cross1 (binary) overridden

libc6-mips32-mips64-cross 2.24-1cross1 (binary) overridden

libc6-mips32-mips64el-cross 2.24-1cross1 (binary) overridden

libc6-mips64-cross 2.24-1cross1 (binary) overridden

libc6-mips64-mips-cross 2.24-1cross1 (binary) overridden

libc6-mips64-mipsel-cross 2.24-1cross1 (binary) overridden

libc6-mips64el-cross 2.24-1cross1 (binary) overridden

libc6-mipsel-cross 2.24-1cross1 (binary) overridden

libc6-mipsn32-mips-cross 2.24-1cross1 (binary) overridden

libc6-mipsn32-mips64-cross 2.24-1cross1 (binary) overridden

libc6-mipsn32-mips64el-cross 2.24-1cross1 (binary) overridden

libc6-mipsn32-mipsel-cross 2.24-1cross1 (binary) overridden

libc6-powerpc-cross 2.24-1cross1 (binary) overridden

libc6-powerpc-ppc64-cross 2.24-1cross1 (binary) overridden

libc6-powerpcspe-cross 2.24-1cross1 (binary) overridden

libc6-ppc64-cross 2.24-1cross1 (binary) overridden

libc6-ppc64-powerpc-cross 2.24-1cross1 (binary) overridden

libc6-ppc64el-cross 2.24-1cross1 (binary) overridden

libc6-s390-s390x-cross 2.24-1cross1 (binary) overridden

libc6-s390x-cross 2.24-1cross1 (binary) overridden

libc6-sh4-cross 2.24-1cross1 (binary) overridden

libc6-sparc-sparc64-cross 2.24-1cross1 (binary) overridden

libc6-sparc64-cross 2.24-1cross1 (binary) overridden

libc6-x32 2.24-5 (binary) overridden

libc6-xen 2.24-5 (binary) overridden

libc6.1-alpha-cross 2.24-1cross1 (binary) overridden

libcanberra0 0.30-3 (binary) overridden

libclamav7 0.99.2+dfsg-4 (binary)

libcodeblocks0 16.01+dfsg-2 (binary) overridden

libcoin80v5 3.1.4~abc9f50+dfsg1-2 (binary) overridden

libcuinj64-7.5 7.5.18-4 (binary) overridden

libdb5.3-sql 5.3.28-12 (binary) overridden

libdbd-sqlite2-perl 2:0.37-1+b2 (binary) overridden

libdcmtk8 3.6.1~20160216-2 (binary) overridden

libgcj16 5.4.1-3 (binary) overridden

libgcj17 6.2.0-9 (binary) overridden

libgdcm-tools 2.6.6-1 (binary) overridden

libglewmx1.13 1.13.0-3 (binary) overridden

libjellyfish-2.0-2 2.2.6-1+b1 (binary) overridden

libnet-libidn-perl 0.12.ds-2+b3 (binary)

libnvidia-fatbinaryloader 367.44-3 (binary) overridden

libnvidia-fatbinaryloader 370.28-1 (binary) overridden

libnvidia-legacy-304xx-cuda1 304.132-1 (binary) overridden

libnvidia-legacy-340xx-cuda1 340.98-1 (binary) overridden

libnvidia-ptxjitcompiler 367.44-3 (binary) overridden

libnvidia-ptxjitcompiler 370.28-1 (binary) overridden

libogre-1.9.0v5 1.9.0+dfsg1-7+b1 (binary) overridden

libopenzwave1.5 1.5+ds-1 (binary) overridden

libosgearth5 2.7.0+dfsg-2+b2 (binary) overridden

libosgearth5 2.8.0+dfsg-1~exp1 (binary) overridden

libphp5-embed 5.6.26+dfsg-1 (binary) overridden

librarian0 0.8.1-6 (binary) overridden

libsimbody3.5v5 3.5.3+dfsg-1 (binary)

libsipxtapi 3.3.0~test17-2 (binary) overridden

libsqlcipher0 3.2.0-1.1+b2 (binary) overridden

libtk-img 1:1.4.5+dfsg-1 (binary) overridden

libvirt-sandbox-1.0-5 0.5.1+git20151113-3 (binary) overridden

libvtk6.3 6.3.0+dfsg1-2 (binary) overridden

libwmf0.2-7 (binary)

libxine2-misc-plugins 1.2.6-1.2 (binary) overridden

libyaml-libyaml-perl 0.63-1+b1 (binary) overridden

mailavenger 0.8.4-4+b2 (binary) overridden

maqview 0.2.5-7 (binary) overridden

netdiscover 0.3beta7~pre+svn118-1 (binary) overridden

notary 0.1~ds1-1 (binary) overridden

nvidia-cuda-gdb 7.5.18-4 (binary) overridden

nvidia-driver-bin 367.44-3 (binary) overridden

nvidia-driver-bin 370.28-1 (binary) overridden

nvidia-legacy-304xx-driver-bin 304.132-1 (binary) overridden

nvidia-legacy-340xx-driver-bin 340.98-1 (binary) overridden

nvidia-legacy-340xx-opencl-icd 340.98-1 (binary) overridden

nvidia-profiler 7.5.18-4 (binary) overridden

nvidia-smi 367.44-3 (binary) overridden

nvidia-smi 370.28-1 (binary) overridden

octave-psychtoolbox-3 (binary) overridden

outguess 1:0.2-7 (binary)

passenger 5.0.30-1 (binary) overridden

passwordmaker-cli 1.5+dfsg-3.1 (binary) overridden

percona-xtrabackup 2.2.3-2.1 (binary) overridden

php5-cgi 5.6.26+dfsg-1 (binary) overridden

php5-cli 5.6.26+dfsg-1 (binary) overridden

php5-fpm 5.6.26+dfsg-1 (binary) overridden

php5-phpdbg 5.6.26+dfsg-1 (binary) overridden

php7.0-common 7.0.12-1 (binary) overridden

pristine-tar 1.37 (binary) overridden

proftpd-basic 1.3.5a-1 (binary) overridden

prometheus-alertmanager 0.3.0+ds-2 (binary) overridden

psi 0.15-2+b2 (binary)

pypy 5.4.1+dfsg-1 (binary) overridden

python-ruamel.yaml 0.11.14-1 (binary)

python3-ruamel.yaml 0.11.14-1 (binary)

qemu-user-static 1:2.7+dfsg-1 (binary) overridden

qtcreator 4.1.0-2 (binary)

rarian-compat 0.8.1-6 (binary) overridden

rsync 3.1.2-1 (binary) overridden

sash 3.8-3+b4 (binary) overridden

slang-expat 0.5.0-3 (binary) overridden

slt 0.0.git20140301-1 (binary)

snapd 2.0.5+1 (binary) overridden

snapd 2.0.8+1 (binary) overridden

steam (binary) overridden

steamcmd 0~20130205-1 (binary) overridden

supertuxkart 0.9.2-1 (binary) overridden

syslinux 3:6.03+dfsg-14 (binary) overridden

syslinux-common 3:6.03+dfsg-14 (binary) overridden

timidity 2.13.2-40.5 (binary) overridden

tinymux (binary)

tripwire (binary) overridden

tuxcmd-modules 0.6.70+ds-5+b1 (binary) overridden

user-mode-linux 4.7-1um-1 (binary) overridden

utopia-documents 2.4.4-2.1 (binary) overridden

varnish 5.0.0-3 (binary) overridden

virtualbox 5.1.8-dfsg-3 (binary) overridden

vlc-plugin-base 2.2.4-7 (binary) overridden

xserver-xorg-video-nvidia 367.44-3 (binary) overridden

xserver-xorg-video-nvidia 370.28-1 (binary) overridden

xserver-xorg-video-nvidia-legacy-304xx 304.132-1 (binary) overridden

xserver-xorg-video-nvidia-legacy-340xx 340.98-1 (binary) overridden

xye 0.12.2+dfsg-5 (binary) overridden

zsh-static 5.2-5+b1 (binary) overridden

zsh-static 5.2-dev-1-1 (binary) overridden

zsync 0.6.2-2 (binary) overridden